# Series

## Ingest a series for a metric

> Post a time point or multiple time points (series) to a metric. User authorization is not required instead provide the integration key of your metric.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Series"}],"servers":[{"url":"/api"}],"security":[],"paths":{"/series/{key}":{"post":{"tags":["Series"],"summary":"Ingest a series for a metric","description":"Post a time point or multiple time points (series) to a metric. User authorization is not required instead provide the integration key of your metric.","parameters":[{"name":"key","in":"path","description":"integration key of resource","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"the time point or series of time points","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SeriesOption"}}},"required":true},"responses":{"202":{"description":"The time points have been accepted","content":{}}}}}},"components":{"schemas":{"SeriesOption":{"type":"object","description":"Can either be a single time point, omitting timestamp field is allowed as it will be replaced with now() - or a series of multiple time points","oneOf":[{"$ref":"#/components/schemas/SingleTimePoint"},{"$ref":"#/components/schemas/MultipleTimePoint"}]},"SingleTimePoint":{"required":["value"],"type":"object","properties":{"timestamp":{"type":"number","description":"The unix epoch second of your time point","format":"int64"},"value":{"type":"number","description":"Value of your time point","format":"double"}}},"MultipleTimePoint":{"type":"object","properties":{"series":{"type":"array","items":{"$ref":"#/components/schemas/SingleTimePoint"}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/series.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
